Bug 65750

Summary: Remove LegacyDefaultOptionalArguments flag from web audio API
Product: WebKit Reporter: Mark Pilgrim (Google) <pilgrim>
Component: New BugsAssignee: Nobody <webkit-unassigned>
Status: RESOLVED FIXED    
Severity: Normal CC: abarth, crogers, webkit.review.bot
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: Unspecified   
OS: Unspecified   
Attachments:
Description Flags
Patch none

Description Mark Pilgrim (Google) 2011-08-04 22:28:12 PDT
As discussed in IRC, we are migrating our IDL files away from the interface-level "LegacyDefaultOptionalArguments" flag and onto argument-level [Optional] or [Optional=CallWithDefaultValue] flags. This patch migrates all remaining webaudio-related IDL files. This patch CHANGES BEHAVIOR, specifically it makes all arguments required in the noteOn(), noteGrainOn(), and noteOff() methods of AudioBufferSourceNode. This is in line with other changes already made to other parts of the web audio API which made all arguments required (for example, in AudioBuffer), so I'm assuming that this IDL file just got missed.

AFAIK, web audio has no tests yet.
Comment 1 Mark Pilgrim (Google) 2011-08-04 22:28:49 PDT
Created attachment 103040 [details]
Patch
Comment 2 WebKit Review Bot 2011-08-05 00:45:31 PDT
Comment on attachment 103040 [details]
Patch

Clearing flags on attachment: 103040

Committed r92459: <http://trac.webkit.org/changeset/92459>
Comment 3 WebKit Review Bot 2011-08-05 00:45:35 PDT
All reviewed patches have been landed.  Closing bug.
Comment 4 Chris Rogers 2011-08-06 19:52:23 PDT
I wish I had been on the CC list for this, because it was the intention that this argument should be optional (although admittedly the spec isn't clear about this).
Comment 5 Adam Barth 2011-08-06 21:08:20 PDT
I'm not sure which API you mean specifically, but Its easy to fix.